## The *uninstall-all-apps.ps1* Script

This PowerShell script uninstalls all applications from the local computer. Useful for de-bloating Windows to clean up a PC quickly for an industrial use case without any security risks.

## Parameters
```powershell
/home/mf/Repos/PowerShell/Scripts/uninstall-all-apps.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./uninstall-all-apps

```

## Notes
Author: Markus Fleschutz | License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

## Source Code
```powershell
<#
.SYNOPSIS
	Uninstalls all apps
.DESCRIPTION
	This PowerShell script uninstalls all applications from the local computer. Useful for de-bloating Windows to clean up a PC quickly for an industrial use case without any security risks.
.EXAMPLE
	PS> ./uninstall-all-apps
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	"Uninstalling all apps, please wait... (ignore any error messages about packages that can't be removed, it's fine)"

	Get-AppxPackage | Remove-AppxPackage
	
	"Uninstalled all applications, your PC is clean now."
	exit 0 # success
} catch {
	"Sorry: $($Error[0])"
	exit 1
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of uninstall-all-apps.ps1*
